// Project Lab - NHTV IGAD
//////////////////////////////////////////
// Author: Yoshi van Belkom - 130118
//////////////////////////////////////////
// In-viewport toolbar widgets used in the Skill Tree Editor.
//////////////////////////////////////////

#pragma once

#include "SCommonEditorViewportToolbarBase.h"

class SSkillTreeEditorViewportToolbar : public SCommonEditorViewportToolbarBase
{
public:
	SLATE_BEGIN_ARGS( SSkillTreeEditorViewportToolbar ) {}
	SLATE_END_ARGS()

	void Construct( const FArguments& a_args, TSharedPtr<class ICommonEditorViewportToolbarInfoProvider> a_infoProvider );

	// SCommonEditorViewportToolbarBase interface
	virtual TSharedRef<SWidget> GenerateShowMenu() const override;
	// End of SCommonEditorViewportToolbarBase
};
